Subject: [Ntp] Antw: [EXT] Re: NTP pool and NTS brainstorming

From: "Ulrich Windl" <[email-masked]>
Date: Fri, 28 Feb 2020 09:59:20 +0100

>>> Hal Murray <[email-masked]> schrieb am 28.02.2020 um 09:22 in
Nachricht
<23314_1582878144_5E58CDBF_23314_12093_2_20200228082208.E5CD740605C@ip-64-139-1-
9.sjc.megapath.net>:

> watson=[email-masked] said:
>> I think the pool can support NTS quite easily by extending the type of 
> record
>> returned.
> 
> I think something like that can be made to work.  But does NTS make sense in

> 
> the context of a pool?
> 
> The problem is trust.  Anybody can add their server to the pool.  If I trust

> 
> the person running the pool to run it as he describes, why should I extend 
> that trust any of the servers in the pool?

But it's not different to "non-secure" NTP: You may securely query a server,
but (as Dave Mills might have said) "you get what you get" from the server. 
The only guarantee is that you got what the server sent (if you got
something).

> 
> We should have put a sentence or paragraph pointing out that trust step in 
> the 
> RFC.
> 
> 
> ‑‑ 
> These are my opinions.  I hate spam.
> 
> 
> 
> _______________________________________________
> ntp mailing list
> [email-masked] 
> https://www.ietf.org/mailman/listinfo/ntp